## ligotools-1.2.0.tar.gz

=== CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

if(POLICY CMP0048)
  cmake_policy(SET CMP0048 OLD)
endif(POLICY CMP0048)
set(PROJECT_NAME ligotools)
set(${PROJECT_NAME}_VERSION_MAJOR 1)
set(${PROJECT_NAME}_VERSION_MINOR 2)
set(${PROJECT_NAME}_VERSION_PATCH 0)
set(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}.${${PROJECT_NAME}_VERSION_PATCH})
set(PROJECT_VERSION ${${PROJECT_NAME}_VERSION})

PROJECT(${PROJECT_NAME} C)

set(PACKAGE_NAME ${PROJECT_NAME})
set(PACKAGE_VERSION ${PACKAGE_VERSION})
set(PACKAGE_URL "http://www.lsc-group.phys.uwm.edu/daswg/projects/ligotools.html")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/config/cmake/")

include(ax_macros)

#========================================================================
# Subdirectories
#========================================================================

add_subdirectory(config)
add_subdirectory(tconvert)
add_subdirectory(segments)
add_subdirectory(papers)
add_subdirectory(matlab)
add_subdirectory(cache)

#========================================================================
# Create some files necessary for specs
#========================================================================

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/ligotools.spec.cmake.in
		${CMAKE_CURRENT_BINARY_DIR}/ligotools.spec )

#========================================================================
#
#                              C P A C K
#
# Do some configuration of cpack.
#
#========================================================================
# Common attributes
#------------------------------------------------------------------------

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "This is a collection of tools used by the LIGO scientific community")
set(CPACK_PACKAGE_VENDOR "LIGO")
set(CPACK_PACKAGE_VERSION ${${PROJECT_NAME}_VERSION})
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_PACKAGE_FILE_NAME
    ${PROJECT_NAME}-${${PROJECT_NAME}_VERSION})
set(CPACK_SYSTEM_NAME noarch)

#------------------------------------------------------------------------
# Things to ignore
#------------------------------------------------------------------------

set(CPACK_SOURCE_IGNORE_FILES
      "~$"
      ".git"
      "/#[^/]*#$"
      "/[.]#.*$"
      "tmp/"
      "ldas/"
      "^${PROJECT_SOURCE_DIR}/00boot"
      "^${PROJECT_SOURCE_DIR}/configure.ac"
      "^${PROJECT_SOURCE_DIR}/.*/Makefile.am"
)

#------------------------------------------------------------------------
# Have CPack do its magic
#------------------------------------------------------------------------

include(CPack)

#------------------------------------------------------------------------
# Add Groups
#------------------------------------------------------------------------
#------------------------------------------------------------------------
# Add Components
#------------------------------------------------------------------------
cpack_add_component(tconvert
	DESCRIPTION "Time conversion utilities")
cpack_add_component(segments
	DESCRIPTION "Segment analysis utilities")
cpack_add_component(papers
	DESCRIPTION "Text processing utilities")
cpack_add_component(matlab
	DESCRIPTION "MATLAB functions")
cpack_add_component(cache
	DESCRIPTION "Cache manipulation functions")

#========================================================================
# Testing of the packaging
#========================================================================
ax_packaging()

=== cache/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS
	  convertfflcache.pl
	  convertlalcache.pl
	  convertldascache.sh
	  createframecache.pl
        DESTINATION bin
	COMPONENT cache )

=== config/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------

#========================================================================
# Subdirectories
#========================================================================

add_subdirectory(cmake)

=== matlab/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

file( GLOB matlab_m "${CMAKE_CURRENT_SOURCE_DIR}/*.m" )
set( matlab_bin_m frextract.m frgetvect.m mkframe.m )
foreach( M ${matlab_bin_m} )
  list( REMOVE_ITEM matlab_m "${CMAKE_CURRENT_SOURCE_DIR}/${M}" )
  string( REGEX REPLACE "[.]m$" ".mexa64" M ${M} )
  list( APPEND matlab_bin_mex ${M} )
endforeach( M ${matlab_bin_m} )

install( FILES ${matlab_m}
         DESTINATION share/${PROJECT_NAME}/matlab
	 COMPONENT matlab )

if( ENABLE_BINARY_MATLAB )
  if ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
   install( FILES ${matlab_bin_m} ${matlab_bin_mex}
   	    DESTINATION share/${PROJECT_NAME}/matlab
	    COMPONENT matlab)
   
  endif ( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
endif( ENABLE_BINARY_MATLAB )

=== papers/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS cleanlatex
        DESTINATION bin
	COMPONENT papers)

=== segments/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS segdiff segexpr segsum
        DESTINATION bin
	COMPONENT segments)

=== tconvert/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# make package_source
#------------------------------------------------------------------------
CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

install(PROGRAMS tconvert gpsclock
        DESTINATION bin
	COMPONENT tconvert)

=== config/cmake/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------

=== debian/changelog ===
ligotools (1.2.0-1) unstable; urgency=low

  * Added cache scripts (#4489)

 -- Edward Maros <ed.maros@ligo.org>  Thu, 21 Jul 2016 15:40:58 -0700

ligotools (1.1.0-1) unstable; urgency=low

  * Added matlab scripts (#4447)
  * Removed automake/autoconf files (#4448)

 -- Edward Maros <ed.maros@ligo.org>  Fri, 1 Jul 2016 14:18:45 -0700

ligotools (1.0.4-1) unstable; urgency=low

  * Corrected tconvert handling of dates with OCT in them (#4405)
  * Added support for MacPorts packaging.

 -- Edward Maros <ed.maros@ligo.org>  Mon, 13 Jun 2016 14:30:56 -0700

ligotools (1.0.3-1) unstable; urgency=low

  * Added back the build dependency on TCL

 -- Edward Maros <ed.maros@ligo.org>  Mon, 13 Jun 2016 14:30:56 -0700

ligotools (1.0.2-1) unstable; urgency=low

  * Removed build dependency on TCL

 -- Edward Maros <ed.maros@ligo.org>  Mon, 11 Apr 2016 10:27:37 -0700

ligotools (1.0.1-1) unstable; urgency=low

  * Converted to support building via cmake

 -- Edward Maros <ed.maros@ligo.org>  Fri, 08 Apr 2016 14:31:08 -0700

ligotools (0.1) unstable; urgency=low

  * Initial packaging.

 -- Jameson Rollins <jameson.rollins@ligo.org>  Thu, 26 Jul 2012 09:18:19 -0700

=== debian/control ===
Source: ligotools
Section: misc
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 cmake,
 tcl
Standards-Version: 3.9.3

Package: ligotools-tconvert
Architecture: all
Depends:
 ${misc:Depends},
 tcl,
 tk
Description: command-line GPS time conversion utility
 Command-line utility to convert to/from GPS seconds, with automatic
 of newly-added leap seconds.

Package: ligotools-scripts
Architecture: all
Depends:
 ${misc:Depends},
 tcl,
 ligotools-tconvert
Description: ligotools command-line utilites
 This package includes the tcl scripts from the original LIGOTools
 suite:
   cleanlatex
   segdiff
   segexpr
   segsum

Package: ligotools-matlab
Architecture: all
Depends:
 ${misc:Depends},
 tcl,
 ligotools-tconvert
Description: ligotools matlab extensions
  Collection of MATLAB macros useful for gravitational analysis

Package: ligotools-cache
Architecture: all
Depends:
 ${misc:Depends},
 perl
Description: ligotools cache utilities
  Utilities to manipulate various caching schemes.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	PATH=tconvert:$(PATH) ./tconvert/test
